<?php
/**
 * The header for our theme.
 *
 * @package musicmacho
 */ ?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<?php wp_head(); ?>
</head>
<body <?php body_class();?>>
    <?php if( ( !is_front_page() ) && (!is_page_template( 'template-parts/front.php' ))) {  echo '<div class="MusicmachoWrap">';  } ?>
	<header>
        <div class="header-wrap clearfix">
            <div class="container">
                <div class="row">
                    <div class="col-sm-5 col-xs-12">
                    </div>
                    <div class="col-sm-2 col-xs-12">
                        <!-- Logo start -->
                        <?php $musicmacho_top_header_icon = get_theme_mod('musicmacho_top_header_icon'); 
                            if(isset($musicmacho_top_header_icon) && $musicmacho_top_header_icon) { ?>
                                <div class="logo-icon">
                                    <a href="<?php echo esc_url( home_url( '/' ) ); ?>"> <img class="img-responsive" src="<?php echo esc_url($musicmacho_top_header_icon); ?>"></a>
                                </div>
                            <?php } ?>
                        <!-- Logo end -->
                    </div>
                    <div class="col-sm-5 col-xs-12">
                        <!-- Contact-us start -->
                        <div class="header-social">
                            <div class="social-lable"><?php _e('Follow us :','musicmacho'); ?></div>
                            <div class="social-link">
                                <?php for($i=1;$i<4;$i++) { 
                                    $musicmacho_social_icon = get_theme_mod('musicmacho_social_icon'.$i); 
                                    $musicmacho_social_url = esc_url(get_theme_mod('musicmacho_social_url'.$i),'musicmacho'); 
                                    if(isset($musicmacho_social_icon) && isset($musicmacho_social_url) && 
                                        $musicmacho_social_url != "" && $musicmacho_social_icon != "" ) { ?>
                                    <a href="<?php echo esc_url($musicmacho_social_url); ?>">
                                        <i class="fa <?php echo esc_attr($musicmacho_social_icon); ?>" aria-hidden="true"></i>
                                    </a>
                                <?php } 
                            } ?>
                            </div>
                        </div>
                        <!-- Contact-us end -->
                    </div>
                </div>
            </div>
        </div>
        <?php $musicmacho_header_navigation_fixed = get_theme_mod('musicmacho_header_navigation_fixed'); ?>
        <nav class="navbar navbar-fixed-top MusicmachoNav TheTourNav <?php if($musicmacho_header_navigation_fixed == 1) { echo 'musicmacho-header-fixed fixed-header'; } ?>">
            <div class="NavWrap clearfix">
                <div class="container">
                    <!-- Logo start -->
                    <div class="main-logo">
                        <a class="custom-logo-link" href="<?php echo esc_url( home_url( '/' ) ); ?>">
                            <?php $logo_image = '';
                                if (function_exists('get_custom_logo')) {
                                    $logo_image = has_custom_logo(); 
                                    $output_logo = get_custom_logo();
                                } 
                                if(empty($logo_image)){
                                    echo $musicmacho_logo = '<h3><span class="site-title">'.get_bloginfo('name').'</span></h3><span class="site-description">'.get_bloginfo('description').'</span>';
                                }else{ 
                                    echo $output_logo;
                                } ?>
                        </a>
                    </div>
                    <!-- Logo start -->
                    <!-- Menu start -->
                    
                    <?php if (has_nav_menu('primary')) {
                            $musicmacho_defaults = array(
                                'theme_location' => 'primary',
                                'container'      => 'div', 
                                'container_id' => 'cssmenu'
                            );
                            wp_nav_menu($musicmacho_defaults);                                        
                        } ?>
                    <!-- Menu end -->
                </div>
            </div>
        </nav>
    </header>